> ## Documentation Index
> Fetch the complete documentation index at: https://docs.hyperbeam.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Session Endpoints

> Programmatically control a cloud computer session from your backend

Check out the [JavaScript SDK](/client-sdk/javascript) if you wish to control the session from the frontend.

## Base URL

The base URL (referred to as `base_url` in examples) is the session’s embed URL with the query parameters removed. For example, given this response from POST /vm:

```json theme={null}
{
  "session_id": "52f968cb-6739-4197-83d7-2305fe5d6f54",
  "embed_url": "https://vwdrccwgpv181powg61ggyvy.hyperbeam.com/Uvloy2c5QZeD1yMF_l1vVA?token=c8iw3SmQglOU0ugfLr3dWY2LalSKI_WOGUldEt8knbw",
  "admin_token": "51JOZEEcMp4trCwbpTS3jjQc0lSmeAZpPfxioDqe73U"
}
```

The `base_url` value would be:

```bash theme={null}
https://vwdrccwgpv181powg61ggyvy.hyperbeam.com/Uvloy2c5QZeD1yMF_l1vVA
```

## Authentication

To authenticate, provide the session's admin token as a bearer token in the `Authorization` header.

For example:

```bash theme={null}
curl -X POST \
    -H 'Authorization: Bearer 51JOZEEcMp4trCwbpTS3jjQc0lSmeAZpPfxioDqe73U' \
    https://vwdrccwgpv181powg61ggyvy.hyperbeam.com/Uvloy2c5QZeD1yMF_l1vVA/tabs.update
    -d '[1, {"active": true}]'
```
